Bug 1336329

Summary: User should get right warning message after run bkr job-clone without argument.
Product: [Community] Beaker Reporter: wangdong <dowang>
Component: command lineAssignee: Blake McIvor <bmcivor>
Status: CLOSED CURRENTRELEASE QA Contact: tools-bugs <tools-bugs>
Severity: medium Docs Contact:
Priority: low    
Version: developCC: bmcivor, dcallagh, mjia, rjoost
Target Milestone: 24.0Keywords: EasyFix, Patch, Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-02-21 18:50:49 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description wangdong 2016-05-16 08:10:37 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Run command bkr job-clone withou argument.
2.
3.

Actual results:
It return Submitted:[]

[root@dhcp-136-60 tmp]# bkr job-clone ; echo $?
Submitted: []
0


Expected results:
1. It should hint user need specific a job to clone. 
2. The return code shouldn't 0.

Additional info:

Comment 1 Blake McIvor 2016-07-29 01:26:53 UTC
https://gerrit.beaker-project.org/#/c/5095/

Comment 2 Dan Callaghan 2016-08-02 08:13:40 UTC
This fix could go into 23.1 but as of now it was applied to develop, which means it will only appear in 24.0.

Comment 3 Dan Callaghan 2016-08-11 01:09:20 UTC
This bug fix is included in beaker-client-24.0-0.git.37.717f87f which is currently available for download here:

https://beaker-project.org/nightlies/develop/

Comment 5 Dan Callaghan 2017-02-21 18:50:49 UTC
Beaker 24.0 has been released.